Çek Detay
Id'si girilen çekin detay bilgisini gösterir.
Endpoint
GET /kolaybi/v1/cheques/{cheque_id}
Parametreler
| Parametre | Tip | Açıklama |
|---|---|---|
cheque_id | integer | Kaydı görüntülenmek istenen çek ID değeri |
Örnekler
- cURL
- JavaScript
- PHP
- Python
- C#
curl -X GET "https://ofis-sandbox-api.kolaybi.com/kolaybi/v1/cheques/42" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Channel: YOUR_CHANNEL"
async function getChequeDetail(chequeId) {
const response = await fetch(
`https://ofis-sandbox-api.kolaybi.com/kolaybi/v1/cheques/${chequeId}`,
{
headers: {
Authorization: `Bearer ${accessToken}`,
Channel: channel,
},
}
);
return await response.json();
}
// Kullanım
const chequeDetail = await getChequeDetail(42);
function getChequeDetail($chequeId) {
$url = 'https://ofis-sandbox-api.kolaybi.com/kolaybi/v1/cheques/' . $chequeId;
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => $url,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . $accessToken,
'Channel: ' . $channel
],
CURLOPT_RETURNTRANSFER => true
]);
$response = curl_exec($ch);
curl_close($ch);
return json_decode($response, true);
}
// Kullanım
$chequeDetail = getChequeDetail(42);
import requests
def get_cheque_detail(cheque_id):
url = f"https://ofis-sandbox-api.kolaybi.com/kolaybi/v1/cheques/{cheque_id}"
headers = {
"Authorization": f"Bearer {access_token}",
"Channel": channel
}
response = requests.get(url, headers=headers)
return response.json()
# Kullanım
cheque_detail = get_cheque_detail(42)
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;
using Newtonsoft.Json;
async Task<dynamic> GetChequeDetailAsync(int chequeId)
{
using var client = new HttpClient();
var url = $"https://ofis-sandbox-api.kolaybi.com/kolaybi/v1/cheques/{chequeId}";
var request = new HttpRequestMessage(HttpMethod.Get, url);
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", accessToken);
request.Headers.Add("Channel", channel);
var response = await client.SendAsync(request);
var content = await response.Content.ReadAsStringAsync();
return JsonConvert.DeserializeObject<dynamic>(content);
}
// Kullanım
var chequeDetail = await GetChequeDetailAsync(42);
Yanıt
{
"data": {
"id": 42,
"serial_no": "0012345",
"drawer": "Örnek Keşideci A.Ş.",
"payee": "Örnek Lehtar Ltd. Şti.",
"receive_date": "2026-03-15 00:00:00",
"issue_date": "2026-01-15 00:00:00",
"issue_place": "İstanbul",
"cheque_status": "portfolio",
"cash_flow_direction": 1,
"amount": 15000.5,
"currency": "try",
"description": "Ocak ayı tahsilatı",
"bank_name": "Ziraat Bankası",
"bank_code": "0010",
"associate_id": 7,
"vault_id": 3,
"endorsed_associate_id": null,
"tags": [
{
"id": 12,
"name": "Tahsilat",
"description": null
}
]
}
}
Yanıt Alanları
| Alan | Tip | Açıklama |
|---|---|---|
id | integer | Çek ID |
serial_no | string | Seri numarası |
drawer | string | Keşideci |
payee | string | Lehtar |
receive_date | string | Vade tarihi |
issue_date | string | Keşide tarihi |
issue_place | string | Keşide yeri |
cheque_status | ChequeStatus | Çek durumu |
cash_flow_direction | CashFlowDirection | Nakit yönü |
amount | number | Tutar |
currency | Currency | Para birimi |
description | string | Açıklama |
bank_name | string | Banka adı |
bank_code | string | Banka kodu |
associate_id | integer | İlişkili cari ID |
vault_id | integer | Banka/kasa ID |
endorsed_associate_id | integer | Ciro edilen cari ID |
tags | array | Etiketler (id, name, description) |